<?php
/** 
* @package	uForum 
* @file		admin/mass_email.php
* @version	$Id$ 
* @copyright	2007-2010 (c) PioDer <pioder@wp.pl>
* @link    		http://www.pioder.pl/
* @license	see LICENSE.txt
**/
define('IN_uF', true);
//include files
require('./../config.php');
require('./../includes/constants.php');
require('./../includes/db.php');
require('./../includes/errors.php');
//connect to database
DataBase::db_connect();
require('./../includes/sessions.php');
require('./../includes/classes/class_user.php');
require('./../common.php');
require('./../includes/admin/class_main.php');
require('./../includes/emailer.php');
require('./../includes/classes/class_forum.php');
require('./../includes/admin/class_forum.php');
require('./../lngs/'.Admin_Over::DefaultLang().'/admin.php');
SessDelInvalid();	
SessRegister();
SessDeleteOld();
if (User::UserInformation($_SESSION['uid'],'rank')!=2)
{
	admin_message_forum($lng['yournotadmin'],'../index.php');
}
if (!$forum_config['allow_send_email'])
{
	admin_message_forum($lng['mass_email_disabled'],'forum_info.php');
}

if (isset($_POST['msg_content']))
{
	if (strlen($_POST['msg_content'])>=5)
	{
		SendMassEmail(str_replace('%email%',$forum_config['forumname'],$lng['mass']),Post::TagsReplace($_POST['msg_content']));		
		$msg='./template/blank.tpl';
		admin_message_forum($lng['mass_email_sended'],'forum_info.php');
	}
	else
	{
		$msg = './template/post_error_body.tpl';
		$message = $lng['to_short_msg_content'];
	}
}
else
{
	$_POST['msg_content'] = '';
	$msg='./template/blank.tpl';
}
$skin = array(
'L.save'=>$lng['submit'],
'mass_email'=>$lng['mass_email'],
'L.reset'=>$lng['reset'],
'L.msg_content'=>$lng['msg_content'],
'L.main_beam'=>$lng['mass_email2']
);
Admin_Over::GenerateHeader();
require('./template/mass_email.tpl');
require('./template/overall_footer.tpl');
?>
