<?php
/** 
* @package	uForum 
* @file		pms.php
* @version	$Id$ 
* @copyright	2007-2010 (c) PioDer <pioder@wp.pl>
* @link    		http://www.pioder.pl/
* @license	see LICENSE.txt
**/
define('IN_uF', true);
//include files
require('./config.php');
require('./includes/constants.php');
require('./includes/db.php');
require('./includes/errors.php');
//connect to database
DataBase::db_connect();
require('./includes/sessions.php');
require('./includes/classes/class_user.php');
require('./common.php');
require('./includes/classes/class_pms.php');
require('./includes/misc_functions.php');
require('./includes/classes/class_forum.php');
require('./includes/classes/class_posting.php');
require('./includes/classes/class_topic.php');
require('./includes/classes/secure.php');
require('./lngs/'.DefaultLang().'/main.php');
$start = TimeGeneration();
SessDelInvalid();	
SessRegister();
SessDeleteOld();


if  ($_SESSION['uid']<1)
{
	$stop = TimeGeneration();
	message_forum($lng['youarenotlogd'],'login.php?mode=login');
}
foreach ($_POST as $name => $value)
{
	if ($forum_config['use_censorlist'])
	{
		$_POST[$name] = Secure::UseCensorlist($value);
	}
}
$uid = $_SESSION['uid'];
$default_skin = ViewSkinName();
if (isset($_GET['mode']))
{
	switch($_GET['mode'])
	{
		case 'folder':
		{
			include ('./includes/pms/pms_folder.php');
			break;	
		}
		//delete message		
		case 'delete':
		{
			include ('./includes/pms/pms_delete.php');
			break;
		}
		case 'view':
		{
			include ('./includes/pms/pms_view.php');
			break;
		}
		//write message
		case 'write':
		{
			include ('./includes/pms/pms_write.php');
			break;
		}
		default:
		{
			$stop = TimeGeneration();
			message_forum($lng['invalidmode'],'index.php');
			break;
		}
	}
}
else
{
	header('Location: pms.php?mode=folder&submode=inbox');
}
?>
